Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
PosixGraphicsStateGuardian Class Reference

This GSG is used only for CallbackGraphicsWindow (which might not be using the glx interfaces), to add the ability to peek in libGL.so to find the extension functions. More...

`#include "posixGraphicsStateGuardian.h"`

Inheritance diagram for PosixGraphicsStateGuardian:

## Public Member Functions
| PosixGraphicsStateGuardian (GraphicsEngine *engine, GraphicsPipe *pipe)
virtual TypeHandle | force_init_type ()
virtual TypeHandle | get_type () const

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_type ()

## Detailed Description

This GSG is used only for CallbackGraphicsWindow (which might not be using the glx interfaces), to add the ability to peek in libGL.so to find the extension functions.

Definition at line 26 of file posixGraphicsStateGuardian.h.

## Constructor & Destructor Documentation

## ◆ PosixGraphicsStateGuardian()

PosixGraphicsStateGuardian::PosixGraphicsStateGuardian | ( | GraphicsEngine * | engine,
|  | GraphicsPipe * | pipe )

Definition at line 23 of file posixGraphicsStateGuardian.cxx.

## ◆ ~PosixGraphicsStateGuardian()

PosixGraphicsStateGuardian::~PosixGraphicsStateGuardian | ( |  | ) |

Definition at line 33 of file posixGraphicsStateGuardian.cxx.

## Member Function Documentation

## ◆ force_init_type()

virtual TypeHandle PosixGraphicsStateGuardian::force_init_type | ( |  | ) |
| inline virtual

Definition at line 50 of file posixGraphicsStateGuardian.h.

## ◆ get_class_type()

static TypeHandle PosixGraphicsStateGuardian::get_class_type | ( |  | ) |
| inline static

Definition at line 39 of file posixGraphicsStateGuardian.h.

## ◆ get_type()

virtual TypeHandle PosixGraphicsStateGuardian::get_type | ( |  | ) | const
| inline virtual

Definition at line 47 of file posixGraphicsStateGuardian.h.

## ◆ init_type()

static void PosixGraphicsStateGuardian::init_type | ( |  | ) |
| inline static

Definition at line 42 of file posixGraphicsStateGuardian.h.

The documentation for this class was generated from the following files:

- panda/src/glxdisplay/posixGraphicsStateGuardian.h
- panda/src/glxdisplay/posixGraphicsStateGuardian.cxx